<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>io.thorntail</groupId>
    <artifactId>parent</artifactId>
    <version>11</version>
  </parent>

  <artifactId>config-api-parent</artifactId>
  <version>1.7.0.redhat-00005</version>
  <packaging>pom</packaging>

  <scm>
    <connection>scm:git:git@github.com:thorntail/wildfly-config-api.git</connection>
    <developerConnection>scm:git:git@github.com:thorntail/wildfly-config-api.git</developerConnection>
    <url>https://github.com/thorntail/wildfly-config-api</url>
    <tag>1.7.0</tag>
  </scm>

  <properties>
    <version.wildfly>7.2.7.GA-redhat-00004</version.wildfly>
    <version.org.wildfly.plugins.maven>2.0.0.Final</version.org.wildfly.plugins.maven>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.source>1.8</maven.compiler.source>
    <version.roaster>2.19.4.Final</version.roaster>
    <version.guava>18.0.0.redhat-1</version.guava>
    <version.junit>4.12.0.redhat-003</version.junit>
  </properties>

  <modules>
    <module>runtime</module>
    <module>generator</module>
    <module>api</module>
  </modules>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.jboss.eap</groupId>
        <artifactId>jboss-eap-parent</artifactId>
        <version>${version.wildfly}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <profiles>
    <profile>
      <id>attach-exposed-components</id>
      <activation>
        <file>
          <exists>exposed-components.json</exists>
        </file>
      </activation>
      <build>
        <plugins>
          <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>build-helper-maven-plugin</artifactId>
            <executions>
              <execution>
                <id>add-exposed-components</id>
                <phase>process-resources</phase>
                <goals>
                  <goal>attach-artifact</goal>
                </goals>
                <configuration>
                  <artifacts>
                    <artifact>
                      <file>exposed-components.json</file>
                      <type>json</type>
                      <classifier>exposed-components</classifier>
                    </artifact>
                  </artifacts>
                </configuration>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
  </profiles>

  <build>
    <pluginManagement></pluginManagement>
    <plugins>
      <plugin>
        <groupId>org.commonjava.maven.plugins</groupId>
        <artifactId>project-sources-maven-plugin</artifactId>
        <version>1.0</version>
        <executions>
          <execution>
            <id>project-sources-archive</id>
            <phase>initialize</phase>
            <goals>
              <goal>archive</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
<!--
Modified by POM Manipulation Extension for Maven 3.8.3 ( SHA: 493ca742 ) 
-->

